//---------------------------------------------------------------------------
#ifndef ColorButtonH
#define ColorButtonH
//---------------------------------------------------------------------------
#include <windows.h>
//---------------------------------------------------------------------------

typedef struct _COLORBUTTONINFO
{
   HGLOBAL  hGlobal;
   HWND     hwnd;
   LONG     Style;
   DWORD    ExStyle;
   WORD     ID;
   HFONT    Font;
   COLORREF Color;
   COLORREF FontColor;
   HBRUSH   Brush;
   BOOL     MouseIn;
   BOOL     MouseDown;
   TCHAR    Text[1024];
} COLORBUTTONINFO, *LPCOLORBUTTONINFO;
//---------------------------------------------------------------------------

// Intern genutzte Funktionen
LRESULT CALLBACK  ColorButtonWindowProc(HWND hwnd, UINT uiMsg, WPARAM wParam, LPARAM lParam);
LPCOLORBUTTONINFO GetColorButtonInfo(HWND hwnd);
int               GetText(HWND hwnd, LPTSTR lpszText, int nMaxCount);
VOID              SetText(HWND hwnd, LPCTSTR lpszText);
VOID              PaintButton(HDC hdc, LPCOLORBUTTONINFO lpInfo, LPRECT lprc);
//---------------------------------------------------------------------------

// Funktionen, die der User benutzen kann
VOID              RegisterColorButtonClass(HINSTANCE hInstance);
COLORREF          GetColor(HWND hwnd);
VOID              SetColor(HWND hwnd, COLORREF color);
COLORREF          GetFontColor(HWND hwnd);
VOID              SetFontColor(HWND hwnd, COLORREF color);
//---------------------------------------------------------------------------
#endif
